%define majver %(echo %version|cut -d. -f1-2)
Name:          anjuta
Version:       3.20.0
Release:       1mamba
Summary:       Integrated development environment for C and C++
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://anjuta.sourceforge.net/
Source:        ftp://ftp.gnome.org/pub/GNOME/sources/anjuta/%{majver}/anjuta-%{version}.tar.xz
Patch0:        anjuta-3.8.3-gcc-4.8.patch
Patch1:        anjuta-3.20.0-gcc-6.1.0.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glade-devel
BuildRequires: glibc-devel
BuildRequires: libapr-devel
BuildRequires: libaprutil-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdevhelp-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgda4-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgdl-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libgtksourceview-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libneon-devel
BuildRequires: libopenldap-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpython-devel
BuildRequires: libselinux-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libvte-devel
BuildRequires: libwebkit-gtk3-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: subversion-devel
## AUTOBUILDREQ-END
BuildRequires: vala-devel >= 0.30.0-1mamba
BuildRequires: libgeoclue0-devel
BuildRequires: libgeoclue0-static
BuildRequires: libscrollkeeper-devel
BuildRequires: ImageMagick
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: libSDL-devel
BuildRequires: gnome-doc-utils-devel
BuildRequires: valgrind-devel
BuildRequires: libaprutil
BuildRequires: libneon-devel
BuildRequires: libbinutils-devel
BuildRequires: libsasl-devel
BuildRequires: cvs
BuildRequires: gdb
BuildRequires: patch
BuildRequires: libdevhelp-devel
BuildRequires: libgda4-devel
BuildRequires: libgtksourceview-devel >= %{majver}
BuildRequires: glade-devel >= 3.16
Provides:      perl(GBF::Make) = %{version}-%{release}
Provides:      gnome-build
Obsoletes:     gnome-build
Provides:      libanjuta
Obsoletes:     libanjuta
Requires:      autoconf
#Requires:      autoconf2.13
Requires:      autogen
Requires:      libopts
Requires:      automake
Requires:      cvs
Requires:      devhelp
Requires:      devhelp-plugins
Requires:      gdb
Requires:      glade3
Requires:      indent
#Requires:      libglade
#Requires:      libglademm
#Requires:      libgnomemm-devel
Requires:      make
Requires:      patch
Requires:      libgda4-sqlite
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
#------------------------------------------------------------------
#Conditionally built plugins:
#-------------------------------------------------------------------
#Building devhelp plugin: ...............................NO
#Building new (unstable) Symbol-db plugin: .......,,.....NO
#-------------------------------------------------------------------

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++ on GNU/Linux. It has been written for GTK/GNOME and features a number of advanced programming facilities. These include project management, application wizards, an on-board interactive debugger, and a powerful source editor with source browsing and syntax highlighting.

Anjuta is an effort to marry the flexibility and power of text-based command-line tools with the ease-of-use of the GNOME graphical user interface. That is why it has been made as user-friendly as possible.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++ on GNU/Linux. It has been written for GTK/GNOME and features a number of advanced programming facilities. These include project management, application wizards, an on-board interactive debugger, and a powerful source editor with source browsing and syntax highlighting.

Anjuta is an effort to marry the flexibility and power of text-based command-line tools with the ease-of-use of the GNOME graphical user interface. That is why it has been made as user-friendly as possible.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} is part of the autogen build system

This package contains static libraries need for development.

%package doc
Summary:	Documentation for Anjuta DevStudio
Group:		Documentation
Requires:	%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
Documentation for Anjuta DevStudio provided in DocBook format.

%prep
%setup -q
#-D -T
#:<< ___EOF
#%patch0 -p1
%patch1 -p1

%build
#:<< ____EOF
%configure \
   CFLAGS="%{optflags} -O2 -Wno-error=format-nonliteral -Wno-error=format-y2k" \
   CXXFLAGS="%{optflags} -O2" FFLAGS="-O2" \
   --disable-gtk-doc \
   --disable-scrollkeeper \
   --host=

# --host= : workaround since 3.6.0

%make -j1 GDA_LIBS="`pkg-config --libs libgda-4.0` -lrt"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
#perl -pi -e "s|\r\n|\n|" %{buildroot}%{_datadir}/%{name}/properties/*.properties doc/ScintillaDoc.html
#cp %{_datadir}/anjuta/macros.xml $HOME/.anjuta/macros.xml

# FIXME: remove executable flag to prevent a wrong requirement for 'import' to be added
chmod -x %{buildroot}%{_libdir}/anjuta/anjuta-python-autocomplete.py

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/anjuta
%{_bindir}/anjuta-launcher
%{_bindir}/anjuta-tags
%{_libdir}/libanjuta-3.so.*
%{_datadir}/glib-2.0/schemas/org.gnome.anjuta*.xml
%dir %{_datadir}/anjuta
%{_datadir}/anjuta/*
%{_datadir}/appdata/anjuta.appdata.xml
%{_datadir}/applications/anjuta.desktop
%{_datadir}/icons/hicolor/*/mimetypes/application-x-anjuta.png
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-anjuta.svg
%{_datadir}/icons/hicolor/symbolic/apps/anjuta-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/anjuta.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta.svg
%{_datadir}/mime/packages/anjuta.xml
%dir %{_datadir}/pixmaps/anjuta
%{_datadir}/pixmaps/anjuta/*.svg
%{_datadir}/pixmaps/anjuta/*.xcf
%{_datadir}/pixmaps/anjuta/*.png
%dir %{_libdir}/anjuta
%{_libdir}/anjuta/anjuta-python-autocomplete.py
%{_libdir}/anjuta/*.plugin
%{_libdir}/anjuta/lib*.so
%{_libdir}/girepository-1.0/Anjuta-3.0.typelib
%{_libdir}/girepository-1.0/IAnjuta-3.0.typelib
#%{_libdir}/glade/modules/libgladeanjuta.la
#%{_libdir}/glade/modules/libgladeanjuta.so
#%{_datadir}/glade/catalogs/anjuta-glade.xml
%{_datadir}/help/C/anjuta-build-tutorial/index.docbook
%{_datadir}/help/C/anjuta-build-tutorial/figures/*.png
%dir %{_datadir}/help/*/anjuta-faqs
%{_datadir}/help/*/anjuta-faqs/*
%dir %{_datadir}/help/*/anjuta-manual
%{_datadir}/help/*/anjuta-manual/*
%{_mandir}/man1/anjuta.1.gz
%{_mandir}/man1/anjuta-launcher.1.gz
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libanjuta-3.0/libanjuta
%{_includedir}/libanjuta-3.0/libanjuta/*
%{_libdir}/anjuta/lib*.la
%{_libdir}/libanjuta-3.la
%{_libdir}/libanjuta-3.so
%{_datadir}/gir-1.0/Anjuta-3.0.gir
%{_datadir}/gir-1.0/IAnjuta-3.0.gir
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libanjuta
%{_datadir}/gtk-doc/html/libanjuta/*.sgml
#%{_datadir}/gtk-doc/html/libanjuta/libanjuta.devhelp
%{_datadir}/gtk-doc/html/libanjuta/libanjuta.devhelp2
%{_datadir}/gtk-doc/html/libanjuta/*.css
%{_datadir}/gtk-doc/html/libanjuta/*.png
%{_datadir}/gtk-doc/html/libanjuta/*.html
%dir %{_docdir}/anjuta
%doc %{_docdir}/anjuta/AUTHORS
%doc %{_docdir}/anjuta/COPYING
%doc %{_docdir}/anjuta/ChangeLog
%doc %{_docdir}/anjuta/FUTURE
#%doc %{_docdir}/anjuta/INSTALL
%doc %{_docdir}/anjuta/MAINTAINERS
%doc %{_docdir}/anjuta/NEWS
%doc %{_docdir}/anjuta/README
%doc %{_docdir}/anjuta/ROADMAP
%doc %{_docdir}/anjuta/ScintillaDoc.html
%doc %{_docdir}/anjuta/THANKS
%doc %{_docdir}/anjuta/TODO

%changelog
* Sun May 08 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Tue Jan 19 2016 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.0-2mamba
- rebuilt by autoport with build requirements: vala-devel>=0.30.0-1mamba

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Wed May 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.1-2mamba
- rebuilt by autoport with build requirements: 

* Sat Feb 14 2015 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic update by autodist

* Sat Jan 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.0-2mamba
- remove requirements for gnome 2.x libglade* and libgnoomemm-*

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Thu Nov 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.0-3mamba
- rebuilt with vala 0.22

* Sat Nov 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.0-2mamba
- rebuilt with glade 3.16

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.0-2mamba
- rebuilt with libgtksourceview 3.8.0

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist
- spec edit (next release): obsolete libanjuta

* Fri Sep 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.4-3mamba
- rebuilt with glade 3.12.2

* Sun Sep 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.4-2mamba
- .typelib files moved from -devel to main package

* Mon Jul 30 2012 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Mon May 21 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Wed May 02 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Mon Oct 24 2011 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Thu Oct 20 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3.0-2mamba
- remove duplicate provide/obsolete for gnome-build in both main and devel packages

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 3.0.3.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1.1-4mamba
- rebuilt with glade3 3.8.0

* Tue Apr 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1.1-3mamba
- added requirement for libgda4-sqlite

* Wed Mar 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1.1-2mamba
- rebuilt with subversion 1.6.16

* Fri Dec 31 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1.1-1mamba
- automatic update by autodist

* Thu Dec 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1.0-2mamba
- automatic rebuild by autodist

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1.0-1mamba
- automatic update to 2.32.1.0 by autodist

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0.0-2mamba
- automatic rebuild by autodist

* Sun Oct 31 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0.0-1mamba
- automatic update to 2.32.0.0 by autodist

* Sun Oct 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.2.1-3mamba
- rebuilt with devhelp 2.32.0

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2.1-2mamba
- automatic rebuild by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2.1-1mamba
- automatic update to 2.30.2.1 by autodist

* Sat Jun 05 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2.0-1mamba
- automatic update to 2.30.2.0 by autodist

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1.0-1mamba
- automatic update to 2.30.1.0 by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1.0-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0.0-1mamba
- automatic update to 2.28.0.0 by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2.2-2mamba
- automatic rebuild by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2.2-1mamba
- automatic update by autodist

* Tue May 19 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2.0-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.26.1.0-3mamba
- automatic rebuild by autodist

* Sun Apr 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1.0-2mamba
- obsolete gnome-build (merged into anjuta)

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1.0-1mamba
- automatic update by autodist

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0.1-1mamba
- update to 2.26.0.1

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-2mamba
- ... add a changelog entry

* Tue Mar 31 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Sun Feb 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-2mamba
- rebuilt

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.2-1mamba
- update to 2.24.2

* Thu Jan 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-3mamba
- automatic rebuild by autodist

* Sat Nov 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-2mamba
- automatic rebuild by autodist

* Sun Aug 24 2008 gil <puntogil@libero.it> 2.4.2-1mamba
- package created by autospec
